Vulnerability & Exploit Database

Back to search

OpenEMR PHP File Upload Vulnerability

This module exploits a vulnerability found in OpenEMR 4.1.1 By abusing the ofc_upload_image.php file from the openflashchart library, a malicious user can upload a file to the tmp-upload-images directory without any authentication, which results in arbitrary code execution. The module has been tested successfully on OpenEMR 4.1.1 over Ubuntu 10.04.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/unix/webapp/openemr_upload_exec

Authors

  • Gjoko Krstic <gjoko [at] zeroscience.mk>
  • juan vazquez <juan.vazquez [at] metasploit.com>

References

Targets

  • OpenEMR 4.1.1

Platforms

  • php

Architectures

  • php

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/openemr_upload_exec msf exploit(openemr_upload_exec) > show targets ...targets... msf exploit(openemr_upload_exec) > set TARGET <target-id> msf exploit(openemr_upload_exec) > show options ...show and set options... msf exploit(openemr_upload_exec) > exploit

Related Modules